首页 > 未分类 > CentOS VMware安装ROR运行环境

CentOS VMware安装ROR运行环境

2015年5月11日

CentOS VMware安装ROR运行环境
http://os.51cto.com/art/201003/185634.htm
经过长时间学习CentOS VMware,你可能会遇到CentOS VMware问题,这里将介绍CentOS VMware问题的解决方法VMware中安装CentOS VMware的时候没有相关的选项,插入CentOS VMware的DVD以后也不能识别,因为CentOS VMware是直接利用Red Hat Enterprise的源码改进编译的,因此直接选择RHE5就可以了.我这里是用最新的5.3版本的CentsOS安装的.­安装好CentOS VMware以后要做以下的事情­。
AD:干货来了,不要等!WOT2015 北京站演讲PPT开放下载!
经过长时间学习CentOS VMware,你可能会遇到CentOS VMware问题,这里将介绍CentOS VMware问题的解决方法VMware中安装CentOS VMware的时候没有相关的选项,插入CentOS VMware的DVD以后也不能识别,因为CentOS VMware是直接利用Red Hat Enterprise的源码改进编译的,因此直接选择RHE5就可以了.我这里是用最新的5.3版本的CentsOS安装的.­安装好CentOS VMware以后要做以下的事情­

一、安装vmtools­

1. 插入vmtools的iso到虚拟机的光驱中.­

2. mount /dev/cdrom /mnt/ 挂载光驱­

3. tar -C /tmp -zxvf /mnt/VMwareTools-6.0.2-59824.tar.gz 解压驱动­

4. cd /tmp/vmware-tools-distrib­

./vmware-install.pl 安装驱动,在这个过程中有很多提问,主要是关于创建目录的,直接选择默认或者是Yes就可以了. ­PS:在vm的光盘中包含有rpm包,但是似乎我安装了几次都有问题,所以还是解压以后运行安装脚本好了.­

5. vmware-config-tools.pl是vm的配置脚本.­

二、安装ROR运行环境

因为这次安装CentOS VMware的主要目的是为了运行Redmine,因此首先要设置ROR的运行环境,其次再设置PHP的运行环境.

1.首先使用yum命令安装一些depenencies组件,主要是apahce,gcc的编译器mysql等.

sudo yum install httpd-devel\
openssl-devel\
zlib-devel\
gcc\
gcc-c++\
curl-devel\
expat-devel\
gettext-devel\
mysql-server\
mysql-devel
有些时候如果访问默认的yum源速度不快的时候,可以修改配置文件,使用国内的源,我使用网通的4M ADSL,感觉还可以就直接没有修改,在线安装了.

2.安装ruby,还是安装1.8.7版本的ruby

sudo mkdir /usr/local/src
cd /usr/local/src
sudo curl -O http://www.cnblogs.com/fireinwind/admin/ftp://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p72.tar.gz
sudo tar xzvf ruby-1.8.7-p72.tar.gz
cd ruby-1.8.7-p72
sudo ./configure –enable-shared –enable-pthread
sudo make
sudo make install
3.处理一下zlib,这个问题是个比较头疼的问题,因为你需要ruby运行一个脚本设置一下zlib header的位置,然后在重新编译安装一下ruby

cd ext/zlib
ruby extconf.rb –with-zlib-include=/usr/include –with-zlib-lib=/usr/lib
cd http://www.cnblogs.com/
sudo make
sudo make install
这些都搞定以后,就可以用ruby -v来查看一下安装好的版本了.一般会返回ruby 1.8.7 (2008-08-11 patchlevel 72) [i686-linux]

4.安装rubygems,这个比较简单

直接在rubyforce上下载最新的安装包然后运行 setup.rb就可以安装上了.当然如果系统中已经集成了.也可以用gem update system直接升级到最新.

cd /usr/local/src
sudo curl -O http://rubyforge.iasi.roedu.net/files/rubygems/rubygems-1.3.5.tgz
sudo tar xzvf rubygems-1.3.5.tgz
cd rubygems-1.3.5
sudo ruby setup.rb
5.接着安装rails和passenger,rails有很多部署的方式,passenger应该是最简单的方式,因为在vmware中做测试使用,所以直接用passenger也就是mod_rails的方式是最简单的,当然为了追求性能等方面,也可以用lighttpd+fastcgi的模式.sudo gem install rails passenger

然后执行:passenger-install-apache2-module会有提示将一些LoadModule的代码添加到httpd.conf中,然后重启apache2的服务就可以支持rails的应用了.多个rails的应用可以用vhost设置不同的虚拟站点,无须在设置关于rails的转发什么的,apache会自动驱动passenger的进程来处理关于ror的调用.

三,安装mysql

sudo gem install mysql — –with-mysql-config=/usr/bin/mysql_config加上后面的参数以后,可以制定config的存储路径.PS:

1.在RedHat系发行版中(RHEL,CentOS VMware,Fedora)默认都会启动SELinux,这样会对Passenger造成影响,作为测试的时候,可以直接关闭它,如果需要让它和Passenger一起工作,可以参考:http://www.modrails.com/documentation/Users20guide.html#_the_apache_error_log_says_that_the_spawn_manager_script_does_not_exist_or_that_it_does_not_have_permission_to_execute_it这个是Passenger的User Guide

2.在Rails2.2以后就不包含默认的MySQL驱动,因此你在安装一些基于MySQL的应用的时候会直接失败,rake事务不能启动.
可以从http://www.tmtm.org/en/ruby/mysql/ 下载一个API包,然后用install.rb安装.因为我们指定了MySQL的config的位置,因此还需要打开mysql.rb,修改一下sock的位置,这样就可以正常运行了.

经过长时间学习CentOS VMware,你可能会遇到CentOS VMware问题,这里将介绍CentOS VMware问题的解决方法VMware中安装CentOS VMware的时候没有相关的选项,插入CentOS VMware的DVD以后也不能识别,因为CentOS VMware是直接利用Red Hat Enterprise的源码改进编译的,因此直接选择RHE5就可以了.我这里是用最新的5.3版本的CentsOS安装的.­安装好CentOS VMware以后要做以下的事情­

一、安装vmtools­

1. 插入vmtools的iso到虚拟机的光驱中.­

2. mount /dev/cdrom /mnt/ 挂载光驱­

3. tar -C /tmp -zxvf /mnt/VMwareTools-6.0.2-59824.tar.gz 解压驱动­

4. cd /tmp/vmware-tools-distrib­

./vmware-install.pl 安装驱动,在这个过程中有很多提问,主要是关于创建目录的,直接选择默认或者是Yes就可以了. ­PS:在vm的光盘中包含有rpm包,但是似乎我安装了几次都有问题,所以还是解压以后运行安装脚本好了.­

5. vmware-config-tools.pl是vm的配置脚本.­

二、安装ROR运行环境

因为这次安装CentOS VMware的主要目的是为了运行Redmine,因此首先要设置ROR的运行环境,其次再设置PHP的运行环境.

1.首先使用yum命令安装一些depenencies组件,主要是apahce,gcc的编译器mysql等.

sudo yum install httpd-devel\
openssl-devel\
zlib-devel\
gcc\
gcc-c++\
curl-devel\
expat-devel\
gettext-devel\
mysql-server\
mysql-devel
有些时候如果访问默认的yum源速度不快的时候,可以修改配置文件,使用国内的源,我使用网通的4M ADSL,感觉还可以就直接没有修改,在线安装了.

2.安装ruby,还是安装1.8.7版本的ruby

sudo mkdir /usr/local/src
cd /usr/local/src
sudo curl -O http://www.cnblogs.com/fireinwind/admin/ftp://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p72.tar.gz
sudo tar xzvf ruby-1.8.7-p72.tar.gz
cd ruby-1.8.7-p72
sudo ./configure –enable-shared –enable-pthread
sudo make
sudo make install
3.处理一下zlib,这个问题是个比较头疼的问题,因为你需要ruby运行一个脚本设置一下zlib header的位置,然后在重新编译安装一下ruby

cd ext/zlib
ruby extconf.rb –with-zlib-include=/usr/include –with-zlib-lib=/usr/lib
cd http://www.cnblogs.com/
sudo make
sudo make install
这些都搞定以后,就可以用ruby -v来查看一下安装好的版本了.一般会返回ruby 1.8.7 (2008-08-11 patchlevel 72) [i686-linux]

4.安装rubygems,这个比较简单

直接在rubyforce上下载最新的安装包然后运行 setup.rb就可以安装上了.当然如果系统中已经集成了.也可以用gem update system直接升级到最新.

cd /usr/local/src
sudo curl -O http://rubyforge.iasi.roedu.net/files/rubygems/rubygems-1.3.5.tgz
sudo tar xzvf rubygems-1.3.5.tgz
cd rubygems-1.3.5
sudo ruby setup.rb
5.接着安装rails和passenger,rails有很多部署的方式,passenger应该是最简单的方式,因为在vmware中做测试使用,所以直接用passenger也就是mod_rails的方式是最简单的,当然为了追求性能等方面,也可以用lighttpd+fastcgi的模式.sudo gem install rails passenger

然后执行:passenger-install-apache2-module会有提示将一些LoadModule的代码添加到httpd.conf中,然后重启apache2的服务就可以支持rails的应用了.多个rails的应用可以用vhost设置不同的虚拟站点,无须在设置关于rails的转发什么的,apache会自动驱动passenger的进程来处理关于ror的调用.

三,安装mysql

sudo gem install mysql — –with-mysql-config=/usr/bin/mysql_config加上后面的参数以后,可以制定config的存储路径.PS:

1.在RedHat系发行版中(RHEL,CentOS VMware,Fedora)默认都会启动SELinux,这样会对Passenger造成影响,作为测试的时候,可以直接关闭它,如果需要让它和Passenger一起工作,可以考:http://www.modrails.com/documentation/Users20guide.html#_the_apache_error_log_says_that_the_spawn_manager_script_does_not_exist_or_that_it_does_not_have_permission_to_execute_it这个是Passenger的User Guide

2.在Rails2.2以后就不包含默认的MySQL驱动,因此你在安装一些基于MySQL的应用的时候会直接失败,rake事务不能启动.
可以从http://www.tmtm.org/en/ruby/mysql/ 下载一个API包,然后用install.rb安装.因为我们指定了MySQL的config的位置,因此还需要打开mysql.rb,修改一下sock的位置,这样就可以正常运行了.

四,安装PHP

yum install php php-devel php-gd php-imap php-ldap php-mysql php-odbc php-pear php-xml php-xmlrpc curl curl-devel perl-libwww-perl ImageMagick libxml2 libxml2-devel目前默认源所带的PHP最高版本是5.1.6,一般的应用是没有问题了.

如果需要最新的版本5.2.10,可以直接下载安装包进行安装,当然如果嫌麻烦,可以找一些其他的源,可以将版本升级到5.2.8至此,整个web的支持环境就算搭建起来了.如果有需要支持其他的环境,如JSP的,可以通过安装相关的AppServer,如JBoss,tomcat来实现,整个过程也比较简单.

yum install php php-devel php-gd php-imap php-ldap php-mysql php-odbc php-pear php-xml php-xmlrpc curl curl-devel perl-libwww-perl ImageMagick libxml2 libxml2-devel目前默认源所带的PHP最高版本是5.1.6,一般的应用是没有问题了.

如果需要最新的版本5.2.10,可以直接下载安装包进行安装,当然如果嫌麻烦,可以找一些其他的源,可以将版本升级到5.2.8至此,整个web的支持环境就算搭建起来了.如果有需要支持其他的环境,如JSP的,可以通过安装相关的AppServer,如JBoss,tomcat来实现,整个过程也比较简单.

分类: 未分类 标签:
本文的评论功能被关闭了.